[arch-dev-public] Moving openldap to core repo

Eric Bélanger snowmaniscool at gmail.com
Sat Jul 16 16:20:53 EDT 2011

On Sat, Jul 16, 2011 at 8:28 AM, Uwe L. Korn <uwelk at xhochy.com> wrote:
> Hi,
> (as I have no write access to [arch-dev-public] I'm writing directly to you)
> as I'm the one currently active on
> FS#14598 - [openldap] enable slapd overlays (slapo)
> I would like to help getting the openldap package a bit nicer. As seen
> in the bug report, I already posted a PKGBUILD that build the modules
> into /usr/lib/openldap/ and enables some options, e.g. IPv6 support,
> where configure would do auto detection (nasty if we want to have the
> same features in a package independent on which computer it was built).
> Is your modified PKGBUILD available, so that I could have a look
> on it?

Yes, the PKGBUILD and an updated version of the patch are here:

You'll need to move your db as mentionned in the thread. I won't do  a
split package for the overlays like you did in your PKGBUILD in the
bug report. It's overkill, the overlays aren't that big and they don't
bring any extra dependencies.

> I'm a user of the LDAP overlays and I do not need the libtool files
> coming with the overlays/modules and there is no setup known to me at
> the moment where they are used. The only use of them, which I saw
> documented, is to fix broken ldconfig/LD_LIBRARY_PATH (e.g. it seems to
> be possible to specify an exact location of a used library) but as it
> worked fine and the documentation was quite short, I did not test it.

I've added !libtool to the options of the openldap package. If the
overlays still work without the libtool files, then they are not

Thanks for testing this,


More information about the arch-dev-public mailing list